Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
operations
/
{operation_id}
/
results
Get operation results
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/operations/{operation_id}/results \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/operations/{operation_id}/results"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/operations/{operation_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "66b5f6d2f8d5a4d8a7f1c101",
      "operation_id": "64f0c2a1b2d3e4f506070811",
      "workspace_id": "66b5f6d2f8d5a4d8a7f1c301",
      "organization_id": "507f1f77bcf86cd799439011",
      "status": "completed",
      "name": "ws-001",
      "start_date": "2026-05-10T10:15:30Z",
      "end_date": "2026-05-10T10:16:41Z",
      "script_detail": "Script executed successfully",
      "script_duration": 71,
      "script_response": [
        {
          "timestamp": "2026-05-10T10:15:35.100Z",
          "line": "Initial line\nMultiline detail"
        },
        {
          "timestamp": "2026-05-10T10:15:37.100Z",
          "line": "Second block OUT"
        }
      ]
    }
  ],
  "has_next": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
operation_id
string
required

Identifier of the operation.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Query Parameters

page
integer
default:1

Page to query.

Required range: x >= 1
per_page
integer
default:100

Number of items per page.

Required range: 1 <= x <= 100
fields
string

Comma-separated list of response fields to be included.

sort
string

Sorting expression in the format :asc|desc. In aggregate mode, only accepts group_by fields or aggregated aliases (count, <function>_<field>).

Pattern: ^([a-z_]+):(asc|desc)$
aggregate
string

JSON expression for aggregation. Structure: {"group_by":["field"],"aggregates":[{"field":"*","function":"count"}]}. Cannot be combined with fields.

Maximum string length: 1024
filters
string

JSON expression of filters on allowed fields.

Response

Results successfully retrieved.

data
object[]
required
has_next
boolean
required

Indicates if more results exist on the next page.